import Vue from 'vue'
import Router from 'vue-router'
import Layout from '../layout/index'

Vue.use(Router)

export const constantRouterMap = [
  { path: '/login',
    meta: { title: '登录', noCache: true },
    component: (resolve) => require(['@/views/login'], resolve),
    hidden: true
  },
  { path: '/backlogin',
    meta: { title: '后台登录', noCache: true },
    component: (resolve) => require(['@/views/login'], resolve),
    hidden: true
  },
  {
    path: '/404',
    component: (resolve) => require(['@/views/features/404'], resolve),
    hidden: true
  },
  {
    path: '/401',
    component: (resolve) => require(['@/views/features/401'], resolve),
    hidden: true
  },
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: (resolve) => require(['@/views/features/redirect'], resolve)
      }
    ]
  },
  {
    path: '/home',
    meta: { title: '首页', noCache: true },
    component: (resolve) => {
      return require(['@/views/homepage/index'], resolve)
    },
    hidden: true
  },
  {
    path: '/product',
    meta: { title: '优质产品', noCache: true },
    component: (resolve) => {
      return require(['@/views/homepage/product/index'], resolve)
    },
    hidden: true
  },
  {
    path: '/supplier',
    meta: { title: '优质供应商', noCache: true },
    component: (resolve) => {
      return require(['@/views/homepage/supplier/index'], resolve)
    },
    hidden: true
  },
  {
    path: '/project',
    meta: { title: '解决方案与服务', noCache: true },
    component: (resolve) => {
      return require(['@/views/homepage/project/index'], resolve)
    },
    hidden: true
  },
  {
    path: '/course',
    meta: { title: '专业培训', noCache: true },
    component: (resolve) => {
      return require(['@/views/homepage/course/index'], resolve)
    },
    hidden: true
  },
  {
    path: '/backstage',
    component: Layout,
    redirect: '/dashboard',
    children: [
      {
        path: 'dashboard',
        component: (resolve) => require(['@/views/home'], resolve),
        name: 'Dashboard',
        meta: { title: '首页', icon: 'index', affix: true, noCache: true }
      }
    ]
  },
  {
    path: '/user',
    component: Layout,
    hidden: true,
    redirect: 'noredirect',
    children: [
      {
        path: 'center',
        component: (resolve) => require(['@/views/system/user/center'], resolve),
        name: '个人中心',
        meta: { title: '个人中心' }
      }
    ]
  }
]

export default new Router({
  // mode: 'hash',
  mode: 'history',
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRouterMap
})
